<form class="add-form" [formGroup]="centerForm">
  <div class="container fd-r">
    <div>
      <mat-form-field class="example-full-width">
        <input matInput placeholder="City name" formControlName="city">
        <mat-error *ngIf="!centerForm.get('city').valid && centerForm.get('city').touched">Please enter city name
        </mat-error>
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Center name" formControlName="name">
        <mat-error *ngIf="!centerForm.get('name').valid && centerForm.get('name').touched">Please enter center name
        </mat-error>

      </mat-form-field>
    </div>

    <div>
      <mat-form-field class="example-full-width">
        <input matInput placeholder="Bikes cost" formControlName="cost"
          [ngClass]="{invalid: centerForm.get('cost').invalid && centerForm.get('cost').touched}">
        <mat-error *ngIf="centerForm.get('cost').invalid && centerForm.get('cost').touched">
          <mat-error *ngIf="centerForm.get('cost').errors['required']">
            Please enter bikes cost
          </mat-error>
          <mat-error *ngIf="centerForm.get('cost').errors['pattern']">
            Please valid bikes cost
          </mat-error>
        </mat-error>
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Bikes count" formControlName="bikesCount"
          [ngClass]="{invalid: centerForm.get('bikesCount').invalid && centerForm.get('bikesCount').touched}">
        <mat-error *ngIf="centerForm.get('bikesCount').invalid && centerForm.get('bikesCount').touched">
          <mat-error *ngIf="centerForm.get('bikesCount').errors['required']">
            Please enter bikes count
          </mat-error>
          <mat-error *ngIf="centerForm.get('bikesCount').errors['pattern']">
            Please valid bikes Count
          </mat-error>
        </mat-error>
      </mat-form-field>
    </div>

    <div>
      <div formGroupName="location">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Latitude" formControlName="lat"
            [ngClass]="{invalid: centerForm.get('location.lat').invalid && centerForm.get('location.lat').touched}">
          <mat-error *ngIf="centerForm.get('location.lat').invalid && centerForm.get('location.lat').touched">
            <mat-error *ngIf="centerForm.get('location.lat').errors['required']">
              Please enter latitude
            </mat-error>
            <mat-error *ngIf="centerForm.get('location.lat').errors['pattern']">
              Please valid latitude
            </mat-error>
          </mat-error>
        </mat-form-field>

        <mat-form-field class="example-full-width">
          <input matInput placeholder="Longitude" formControlName="lon"
            [ngClass]="{invalid: centerForm.get('location.lon').invalid && centerForm.get('location.lon').touched}">
          <mat-error *ngIf="centerForm.get('location.lon').invalid && centerForm.get('location.lon').touched">
            <mat-error *ngIf="centerForm.get('location.lon').errors['required']">
              Please enter latitude
            </mat-error>
            <mat-error *ngIf="centerForm.get('location.lon').errors['pattern']">
              Please valid latitude
            </mat-error>
          </mat-error>
        </mat-form-field>
      </div>
    </div>

    <div>
      <mat-form-field class="example-full-width">
        <input matInput placeholder="Refund deposit" formControlName="refundDeposit"
          [ngClass]="{invalid: centerForm.get('refundDeposit').invalid && centerForm.get('refundDeposit').touched}">
        <mat-error *ngIf="centerForm.get('refundDeposit').invalid && centerForm.get('refundDeposit').touched">
          <mat-error *ngIf="centerForm.get('refundDeposit').errors['required']">
            Please enter refund deposit
          </mat-error>
          <mat-error *ngIf="centerForm.get('refundDeposit').errors['pattern']">
            Please valid refund deposit
          </mat-error>
        </mat-error>
      </mat-form-field>
    </div>

  </div>

  <div formGroupName="availableTime">

    <div class="container fd-r">
      <div>
        <ng-container formGroupName="monday">
          <span>monday</span>
          <div>
            <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
          </div>

          <div>
            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Open time" formControlName="openTime">
            </mat-form-field>

            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Close time" formControlName="closeTime">
            </mat-form-field>
          </div>

        </ng-container>
      </div>

      <div>
        <ng-container formGroupName="tuesday">
          <span>tuesday</span>
          <div>
            <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
          </div>

          <div>
            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Open time" formControlName="openTime">
            </mat-form-field>

            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Close time" formControlName="closeTime">
            </mat-form-field>
          </div>

        </ng-container>
      </div>

      <div>
        <ng-container formGroupName="wednesday">
          <span>wednesday</span>
          <div>
            <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
          </div>

          <div>
            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Open time" formControlName="openTime">
            </mat-form-field>

            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Close time" formControlName="closeTime">
            </mat-form-field>
          </div>

        </ng-container>
      </div>

    </div>

    <div class="container fd-r">

      <div>
        <ng-container formGroupName="thursday">
          <span>thursday</span>
          <div>
            <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
          </div>

          <div>
            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Open time" formControlName="openTime">
            </mat-form-field>

            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Close time" formControlName="closeTime">
            </mat-form-field>
          </div>

        </ng-container>
      </div>

      <div>
        <ng-container formGroupName="friday">
          <span>friday</span>
          <div>
            <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
          </div>

          <div>
            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Open time" formControlName="openTime">
            </mat-form-field>

            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Close time" formControlName="closeTime">
            </mat-form-field>
          </div>

        </ng-container>
      </div>

      <div>
        <ng-container formGroupName="saturday">
          <span>saturday</span>
          <div>
            <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
          </div>

          <div>
            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Open time" formControlName="openTime">
            </mat-form-field>

            <mat-form-field class="example-full-width">
              <input matInput type="time" placeholder="Close time" formControlName="closeTime">
            </mat-form-field>
          </div>

        </ng-container>
      </div>

    </div>

    <div class="container fd-r">
      <ng-container formGroupName="sunday">
        <span>sunday</span>
        <div>
          <mat-checkbox formControlName="isOpen">Open</mat-checkbox>
        </div>

        <div>
          <mat-form-field class="example-full-width">
            <input matInput type="time" placeholder="Open time" formControlName="openTime">
          </mat-form-field>

          <mat-form-field class="example-full-width">
            <input matInput type="time" placeholder="Close time" formControlName="closeTime">
          </mat-form-field>
        </div>

      </ng-container>

    </div>



  </div>


  <div class="button-row">
    <button [disabled]="!centerForm.valid" mat-flat-button color="primary" (click)="onSubmit(centerForm.value)">
      Save
    </button>
    <button mat-button (click)="onNoClick()">Cancel</button>
  </div>
</form>